import request from '@/utils/request'

// 查询玩具基础玩法列表
export function listGameplay(query) {
  return request({
    url: '/toy/gameplay/list',
    method: 'get',
    params: query
  })
}

// 查询玩具基础玩法详细
export function getGameplay(id) {
  return request({
    url: '/toy/gameplay/' + id,
    method: 'get'
  })
}

// 新增玩具基础玩法
export function addGameplay(data) {
  return request({
    url: '/toy/gameplay',
    method: 'post',
    data: data
  })
}

// 修改玩具基础玩法
export function updateGameplay(data) {
  return request({
    url: '/toy/gameplay',
    method: 'put',
    data: data
  })
}

// 逻辑删除玩具基础玩法
export function logicalDelGameplay(id) {
  return request({
    url: '/toy/gameplay/abandon/' + id,
    method: 'put'
  })
}

// 删除玩具基础玩法
export function delGameplay(id) {
  return request({
    url: '/toy/gameplay/abandon' + id,
    method: 'delete'
  })
}
